List Invoices
curl --request GET \
--url https://api.manexx.com/api/v1/external/invoices \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.manexx.com/api/v1/external/invoices"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.manexx.com/api/v1/external/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"uuid": "9f2c1e5a-3b7d-4e21-a0c9-1f2e3d4c5b6a",
"external_id": "order-4821",
"customer_id": "user-99",
"amount": "1050.00",
"currency": {
"id": 1,
"code": "UAH",
"name": "Ukrainian hryvnia",
"symbol": "₴"
},
"status": "success",
"payment_url": "https://pay.manexx.com/pay/9f2c1e5a-...?token=...",
"created_at": "2026-07-16T09:24:11Z",
"expires_at": "2026-07-16T09:39:11Z",
"is_adjusted": false,
"purpose": "Order #4821",
"amount_to_send": "1071.00",
"callback_url": "https://shop.example/webhooks/manexx",
"success_url": "https://shop.example/paid",
"fail_url": "https://shop.example/failed",
"finished_at": "2026-07-16T09:33:02Z",
"payment_method": {
"name": "Monobank",
"logo_url": "https://cdn.manexx.com/methods/monobank.png"
},
"rate": "41.20",
"settled_amount_usdt": "24.80",
"adjustment": {
"expected_amount_fiat": "1050.00",
"actual_amount_fiat": "1000.00",
"expected_amount_usdt": "26.05",
"actual_amount_usdt": "24.80"
}
}
],
"page": 123,
"per_page": 123,
"total_items": 123,
"total_pages": 123,
"has_next": true,
"has_prev": true
},
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Merchant API
List Invoices
GET
/
api
/
v1
/
external
/
invoices
List Invoices
Authorizations
Query Parameters
Available options:
pending, success, fail, expired, canceled Required range:
x >= 1Required range:
1 <= x <= 100⌘I
.webp?fit=max&auto=format&n=O6SgNi-K863CxPv7&q=85&s=5a022604a7f294c9858b55256ba8a593)
